# TaskOutputFilePropertyBuilder

interface TaskOutputFilePropertyBuilder : TaskFilePropertyBuilder

Describes an output property of a task that contains zero or more files.

#### Since

3.0

## Functions

optional
Link copied to clipboard
abstract fun optional(): TaskOutputFilePropertyBuilder
Marks a task property as optional.
abstract fun optional(optional: Boolean): TaskOutputFilePropertyBuilder
Sets whether the task property is optional.
withPropertyName
Link copied to clipboard
abstract fun withPropertyName(propertyName: String): TaskOutputFilePropertyBuilder